import { P2P } from '@shardeum-foundation/lib-types';
export declare let scalingRequested: boolean;
export declare let requestedScalingType: string;
export declare let approvedScalingType: string;
export declare let lastScalingType: string;
export declare let scalingRequestsCollector: Map<P2P.CycleAutoScaleTypes.ScaleRequest['nodeId'], P2P.CycleAutoScaleTypes.SignedScaleRequest>;
export declare let desiredCount: number;
export declare let targetCount: number;
/** FUNCTIONS */
export declare function init(): void;
export declare function reset(): void;
export declare function getDesiredCount(): number;
export declare function requestNetworkUpsize(): void;
export declare function requestNetworkDownsize(): void;
export declare function configUpdated(): void;
export declare function queueRequest(request: any): void;
export declare function sendRequests(): void;
export declare function getTxs(): P2P.CycleAutoScaleTypes.Txs;
export declare function validateRecordTypes(rec: P2P.CycleAutoScaleTypes.Record): string;
export declare function updateRecord(txs: P2P.CycleAutoScaleTypes.Txs, record: P2P.CycleCreatorTypes.CycleRecord, prevRecord: P2P.CycleCreatorTypes.CycleRecord): void;
export declare function parseRecord(record: P2P.CycleCreatorTypes.CycleRecord): P2P.CycleParserTypes.Change;
